Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
thread_win32.h File Reference

Go to the source code of this file.

## Data Structures
struct | rb_thread_cond_struct
struct | native_thread_data_struct
struct | rb_global_vm_lock_struct

## Typedefs
typedef struct rb_thread_cond_struct | rb_nativethread_cond_t
typedef struct native_thread_data_struct | native_thread_data_t
typedef struct rb_global_vm_lock_struct | rb_global_vm_lock_t

## Functions
WINBASEAPI BOOL WINAPI | TryEnterCriticalSection (IN OUT LPCRITICAL_SECTION lpCriticalSection)

## Typedef Documentation

## ◆ native_thread_data_t

typedef struct native_thread_data_struct native_thread_data_t

## ◆ rb_global_vm_lock_t

typedef struct rb_global_vm_lock_struct rb_global_vm_lock_t

## ◆ rb_nativethread_cond_t

typedef struct rb_thread_cond_struct rb_nativethread_cond_t

## Function Documentation

## ◆ TryEnterCriticalSection()

WINBASEAPI BOOL WINAPI TryEnterCriticalSection | ( | IN OUT LPCRITICAL_SECTION | lpCriticalSection | ) |